/*
 *
 *  kryptomedia- Another KDE cryto media application.
 *
 *  Copyright (C) 2007  Tom Patzig <tpatzig@suse.de>
 *
 *
 *  This file is part of kryptomedia.
 *
 *  kbluetooth is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  libkbluetooth is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with libkbluetooth; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

#ifndef KRYPTOMEDIADEVICE_H_
#define KRYPTOMEDIADEVICE_H_

#include <kdebug.h>

class KryptoMediaDevice
{
	 public:

		 KryptoMediaDevice(QString &mVendor, QString &mProduct, QString &mDeviceNode, QString &mDeviceType, QString &mUDI)
	 	 	 	 	 	 	 : Vendor(mVendor), Product(mProduct), DeviceNode(mDeviceNode), DeviceType(mDeviceType), 
	 	 	 	 	 	 	 	UDI(mUDI) {};
	 
	 	 QString Vendor;
	 	 QString Product;
	 	 QString DeviceNode;
	 	 QString DeviceType;
	 	 QString UDI;

};
#endif

